# Credits & Contributing

## Credits

Huge thanks to everyone who uses, supports, and/or contributes to flutter\_map in any way, you've helped make the most popular non-commercially aimed mapping solution for Flutter!

In particular, thanks go to:

* All the current maintainers:
  * @ibrierley
  * @JaffaKetchup
  * @mootw (previously @MooNag)
  * @TesteurManiak
  * @josxha
* All the previous maintainers:
  * John P Ryan - the original founder of this project, over at AppTree Software
  * @kengu
  * @maRci002
* The authors of this documentation:
  * @JaffaKetchup
* Anyone who has contributed to making flutter\_map: [Contributor List](https://github.com/fleaflet/flutter_map/graphs/contributors)
* Anyone who has made plugins for flutter\_map: [Plugins List](/v6/plugins/list.md)
* Anyone who has donated to flutter\_map: [Supporters](/v6/supporters.md#past-supporters)

## Contributing

We're always happy to receive improvements and fixes, so please submit them whenever you can! A few key points are listed below.

{% hint style="info" %}
Many feature additions are more suitable for plugins, instead of being added to the core.  This is aimed to reduce the future maintenance burden/cost on the maintainers.

If we deny your PR for this reason, please do consider publishing a plugin, and we'll be happy to add it to the [Plugins List](/v6/plugins/list.md)! See [Creating A Plugin](/v6/plugins/making-a-plugin.md) for more information.
{% endhint %}

* **If your PR will add a major or breaking change, please discuss it with us first, via the Issue Tracker**\
  We don't want to waste your time if we think it's more appropriate for a plugin, and it helps to make a clear plan before starting work
* **Create a draft PR as soon as work starts, and take it out of draft status when ready for review**\
  Keep everyone in the loop, so no-one tries working on the same thing as you
* **Don't change the package version, GitHub workflows, lints, or any other meta files without clarification**\
  We rely on a standardized process and procedure to ensure top-quality releases
* **Use a clear (preferably** [**Conventional**](https://www.conventionalcommits.org/)**) PR title**\
  This makes it easier for us to group commits for release and write correct CHANGELOGs

### Apply To Be A Maintainer

{% embed url="<https://forms.gle/jEeygGJZtBWUdLFf6>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fleaflet.dev/v6/credits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
